#!/bin/bash
# *******************************************************************************
# * Licensed Materials - Property of IBM and/or HCL 
# * (c) Copyright HCL Technologies Ltd. 2021. All Rights Reserved. 
# * 
# * Note to U.S. Government Users Restricted Rights: 
# * Use, duplication or disclosure restricted by GSA ADP Schedule 
# * Contract with IBM Corp. 
# *******************************************************************************

# ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
# ::   
# :: OVERVIEW:
# :: Note This script is used to start and stop the UITestAgent.
# ::
# :: USAGE  UITestTestAgent.sh
# ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

# ::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

baseDir="$(cd "$(dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
installDir=$(dirname "$baseDir")

if [ "$#" -eq  "0" ]
   then
     echo "No arguments supplied"
elif [ "$1" == "start" ]
    then
		if [ "$(uname)" == "Darwin" ];
		then
			$installDir/jdk/Contents/Home/bin/java -Dapple.awt.UIElement=true -jar $baseDir/onetest-ui-test-agent.jar $installDir
		else
			$installDir/jdk/bin/java -Djavax.accessibility.assistive_technologies=" " -jar $baseDir/onetest-ui-test-agent.jar $installDir
		fi
	echo Start UI Test Agent
elif [ "$1" == "stop" ]
    then
        if [ "$(uname)" == "Darwin" ];
        then
        	launchctl unload /Library/LaunchAgents/ui.test.agent.plist
            killall node
            kill -9 $(ps aux | grep -e ui.test.agent | awk '{ print $2 }')
            rm -r /Library/LaunchAgents/ui.test.agent.plist
        else
            systemctl stop ui-test-agent.service
            systemctl disable ui-test-agent.service
            rm -r /etc/systemd/system/ui-test-agent.service
        fi
    echo Stop UI Test Agent
else
    echo Error : Wrong argument passed
fi
